/*!
  iPanorama 360 - jQuery Virtual Tour Builder
  @name jquery.ipanorama.js
  @description jQuery plugin for creating a 360 degrees panorama viewer and virtual tours
  @version 1.6.0
  @author Max Lavrentiev
  @site http://www.avirtum.com
  @copyright (c) Max Lavrentiev
*/
!function(k,i,n,e){"use strict";var r=function(e){null==(e=k.extend(!0,{},c.prototype.defaultScene,e)).id&&(e.id=THREE.Math.generateUUID().substr(0,8)),e.camera&&e.camera.pos&&delete e.camera.pos,null==e.pointEditor.image&&h&&(e.pointEditor.image=h+"/images/point-editor.png"),null==e.planeEditor.image&&h&&(e.planeEditor.image=h+"/images/plane-editor.png");for(var o=0;o<e.markers.length;o++){var t=k.extend(!0,{},c.prototype.defaultMarker,e.markers[o]);t.tooltip=k.extend(!0,{},c.prototype.defaultTooltip,t.tooltip),t.popover=k.extend(!0,{},c.prototype.defaultPopover,t.popover),t.sprite?(t.point=k.extend(!0,{},c.prototype.defaultPoint,t.sprite),delete t.sprite):t.point=k.extend(!0,{},c.prototype.defaultPoint,t.point),t.tooltip.hasOwnProperty("active")&&(t.tooltip.enabled=t.tooltip.active,delete t.tooltip.active),t.popover.hasOwnProperty("active")&&(t.popover.enabled=t.popover.active,delete t.popover.active),t.point.yaw=t.yaw,t.point.pitch=t.pitch,null==t.point.image&&h&&(t.point.image=h+"/images/point-blank.png"),e.markers[o]=t}for(o=0;o<e.shapes.length;o++){var i=k.extend(!0,{},c.prototype.defaultShape,e.shapes[o]);e.shapes[o]=i}return e},$=function(){return/Mobi|Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)},l=function(){var e=n.createElement("fakeelement"),o={animation:"animationend",MSAnimationEnd:"msAnimationEnd",OAnimation:"oAnimationEnd",MozAnimation:"mozAnimationEnd",WebkitAnimation:"webkitAnimationEnd"};for(var t in o)if(void 0!==e.style[t])return o[t];return null},a="ipanorama-instance",h=function(){for(var e=null,o=n.getElementsByTagName("script"),t=0;t<o.length;t++)if(/jquery.ipanorama/.test(o[t].src)){e=o[t].src.substring(o[t].src.lastIndexOf("/")),e=o[t].src.replace(e,"");break}return e}();function c(e,o){0,this.$container=null,this.dom={},this.config=null,this.viewer=null,this.widget=null,this.theme=null,this.scenes=[],this.sceneIndex=0,this.tooltipZindex=[],this.bodyClick=!1,this.inboxMarker=null,this.lightboxMarker=null,this.isFullscreen=!1,this.ready=!1,this.share={sphere:{},littleplanet:{},flat:{}},this._init(e,o)}c.prototype={VERSION:IPANORAMA.VERSION,defaultConfig:{width:null,height:null,imagePreview:null,theme:"default",viewerMode:"normal",widget:{name:"default",config:null},sceneTransition:{name:"default",config:null,duration:1500},autoLoad:!0,startSceneId:null,scenes:[],class:null,onPreInit:null,onLoad:null},defaultScene:{id:null,title:null,type:"sphere",image:null,imageThumb:null,imagePreload:null,noZoom:!1,noRotate:!1,noKeys:!1,noGyroscope:!0,camera:{lookAt:{yaw:0,pitch:0},zoom:null,save:!0,shared:!1},markers:[],shapes:[],pointEditor:{enabled:!1,image:null,width:48,height:48,opacity:1},planeEditor:{enabled:!1,image:null,width:128,height:128,opacity:1,billboard:!1},autoRotate:{enabled:!1,inactivityDelay:3e3,speedX:.5,speedY:0,speedZ:0},audio:{src:null,autoPlay:!1,loop:!1,stopPrevious:!0,volume:.5}},defaultMarker:{id:null,title:null,yaw:0,pitch:0,autoWidth:!0,width:null,autoHeight:!0,height:null,angle:null,image:null,link:null,linkNewWindow:!1,linkSceneId:null,autoFocus:{enabled:!1,duration:700,easing:null},noevents:!1,tooltip:null,popover:null,data:null,dataSelector:null,class:null},defaultPoint:{pos:null,yaw:0,pitch:0,radius:1e3,image:null,width:32,height:32,opacity:1},defaultShape:{id:null,title:null,plane:{pos:{x:0,y:0,z:0},rotate:{x:0,y:0,z:0},width:48,height:48,image:null,opacity:1,billboard:!1}},defaultTooltip:{enabled:!1,placement:"top",offset:{x:0,y:0},autoWidth:!1,width:null,trigger:"hover",followCursor:!1,interactive:!0,showOnInit:!1,showAnimation:null,hideAnimation:null,duration:500,data:null,dataSelector:null,class:null},defaultPopover:{enabled:!1,type:"lightbox",mobileType:"lightbox",trigger:"hover",showOnInit:!1,closeOutside:!0,showAnimation:null,hideAnimation:null,duration:300,data:null,dataSelector:null,class:null},_init:function(e,o){this.$container=e,this.config=o,this.ready=!1,this._create()},_create:function(){this._buildDOM(),this._bind(),this._buildViewer(),this._ready()},_buildDOM:function(){this.$container.addClass("ipnrm").addClass(this.config.className),null!=this.config.width&&this.$container.css({width:this.config.width}),null!=this.config.height&&this.$container.css({height:this.config.height}),this.dom.$preview=k("<div>").addClass("ipnrm-preview"),this.config.imagePreview&&this.dom.$preview.css({"background-image":"url("+this.config.imagePreview+")"}),this.dom.$canvas=k("<canvas>").addClass("ipnrm-canvas").attr({tabindex:0}),this.dom.$scenes=k("<div>").addClass("ipnrm-scenes"),this.dom.inbox={},this.dom.inbox.$inbox=k("<div>").addClass("ipnrm-inbox").addClass("ipnrm-hide").attr("tabindex",1),this.dom.inbox.$inboxInner=k("<div>").addClass("ipnrm-inner"),this.dom.inbox.$inboxForm=k("<div>").addClass("ipnrm-form"),this.dom.inbox.$inboxBody=k("<div>").addClass("ipnrm-body"),this.dom.inbox.$inboxClose=k("<div>").addClass("ipnrm-close"),this.dom.inbox.$inbox.append(this.dom.inbox.$inboxInner.append(this.dom.inbox.$inboxForm.append(this.dom.inbox.$inboxBody,this.dom.inbox.$inboxClose))),this.dom.lightbox={},this.dom.lightbox.$lightbox=k("<div>").addClass("ipnrm-lightbox").addClass("ipnrm-hide").attr("tabindex",1),this.dom.lightbox.$lightboxInner=k("<div>").addClass("ipnrm-inner"),this.dom.lightbox.$lightboxForm=k("<div>").addClass("ipnrm-form"),this.dom.lightbox.$lightboxBody=k("<div>").addClass("ipnrm-body"),this.dom.lightbox.$lightboxClose=k("<div>").addClass("ipnrm-close"),this.dom.lightbox.$lightbox.append(this.dom.lightbox.$lightboxInner.append(this.dom.lightbox.$lightboxForm.append(this.dom.lightbox.$lightboxBody,this.dom.lightbox.$lightboxClose))),k("body").append(this.dom.lightbox.$lightbox),this.$container.prepend(this.dom.$preview,this.dom.$canvas,this.dom.$scenes,this.dom.inbox.$inbox)},_bind:function(){k(i).on("resize",k.proxy(this._onWindowResize,this)),k("body").on("click",k.proxy(this._onBodyClickTooltip,this)),this.$container.on("fullscreenchange mozfullscreenchange webkitfullscreenchange msfullscreenchange",k.proxy(this._onFullScreenChange,this)),this.dom.$canvas.on("ipanorama:scene-error",k.proxy(this._onSceneError,this)),this.dom.$canvas.on("ipanorama:scene-show-start",k.proxy(this._onSceneShowStart,this)),this.dom.$canvas.on("ipanorama:scene-show-complete",k.proxy(this._onSceneShowComplete,this)),this.dom.$canvas.on("ipanorama:scene-hide-start",k.proxy(this._onSceneHideStart,this)),this.dom.$canvas.on("ipanorama:scene-hide-complete",k.proxy(this._onSceneHideComplete,this)),this.dom.$canvas.on("ipanorama:scene-point-show",k.proxy(this._onScenePointShow,this)),this.dom.$canvas.on("ipanorama:scene-point-change",k.proxy(this._onScenePointChange,this)),this.dom.$canvas.on("ipanorama:scene-point-hide",k.proxy(this._onScenePointHide,this)),this.dom.$canvas.on("ipanorama:config",k.proxy(this._onConfig,this)),this.dom.$canvas.on("ipanorama:fullscreen",k.proxy(this._onFullscreen,this)),this.dom.$canvas.on("ipanorama:mode",k.proxy(this._onMode,this)),this.dom.$canvas.on("ipanorama:set-scene",k.proxy(this._onSetScene,this)),this.dom.$canvas.on("ipanorama:prev-scene",k.proxy(this._onPrevScene,this)),this.dom.$canvas.on("ipanorama:next-scene",k.proxy(this._onNextScene,this)),this.dom.inbox.$inbox.on("keydown",k.proxy(this._onInboxKeyboard,this)),this.dom.inbox.$inbox.on("click",k.proxy(this._onInboxCloseOutsideClick,this)),this.dom.inbox.$inboxClose.on("click",k.proxy(this._onInboxCloseClick,this)),this.dom.lightbox.$lightbox.on("keydown",k.proxy(this._onLightboxKeyboard,this)),this.dom.lightbox.$lightbox.on("click",k.proxy(this._onLightboxCloseOutsideClick,this)),this.dom.lightbox.$lightboxClose.on("click",k.proxy(this._onLightboxCloseClick,this))},_unbind:function(){k(i).off("resize",k.proxy(this._onWindowResize,this)),k("body").off("click",k.proxy(this._onBodyClickTooltip,this)),this.$container.off("fullscreenchange mozfullscreenchange webkitfullscreenchange msfullscreenchange",k.proxy(this._onFullScreenChange,this)),this.dom.$canvas.off("ipanorama:scene-error",k.proxy(this._onSceneError,this)),this.dom.$canvas.off("ipanorama:scene-show-start",k.proxy(this._onSceneShowStart,this)),this.dom.$canvas.off("ipanorama:scene-show-complete",k.proxy(this._onSceneShowComplete,this)),this.dom.$canvas.off("ipanorama:scene-hide-start",k.proxy(this._onSceneHideStart,this)),this.dom.$canvas.off("ipanorama:scene-hide-complete",k.proxy(this._onSceneHideComplete,this)),this.dom.$canvas.off("ipanorama:scene-point-show",k.proxy(this._onScenePointShow,this)),this.dom.$canvas.off("ipanorama:scene-point-change",k.proxy(this._onScenePointChange,this)),this.dom.$canvas.off("ipanorama:scene-point-hide",k.proxy(this._onScenePointHide,this)),this.dom.$canvas.off("ipanorama:config",k.proxy(this._onConfig,this)),this.dom.$canvas.off("ipanorama:fullscreen",k.proxy(this._onFullscreen,this)),this.dom.$canvas.off("ipanorama:mode",k.proxy(this._onMode,this)),this.dom.$canvas.off("ipanorama:set-scene",k.proxy(this._onSetScene,this)),this.dom.$canvas.off("ipanorama:prev-scene",k.proxy(this._onPrevScene,this)),this.dom.$canvas.off("ipanorama:next-scene",k.proxy(this._onNextScene,this)),this.dom.inbox.$inbox.off("keydown",k.proxy(this._onInboxKeyboard,this)),this.dom.inbox.$inbox.off("click",k.proxy(this._onInboxCloseOutsideClick,this)),this.dom.inbox.$inboxClose.off("click",k.proxy(this._onInboxCloseClick,this)),this.dom.lightbox.$lightbox.off("keydown",k.proxy(this._onLightboxKeyboard,this)),this.dom.lightbox.$lightbox.off("click",k.proxy(this._onLightboxCloseOutsideClick,this)),this.dom.lightbox.$lightboxClose.off("click",k.proxy(this._onLightboxCloseClick,this))},_buildViewer:function(){var e=this.dom.$canvas.get(0);this.smartRequest=new IPANORAMA.SmartRequest,this.viewer=new IPANORAMA.Viewer(e,this.smartRequest),this.setWidget(this.config.widget.name,this.config.widget.config),this.setTheme(this.config.theme),this.setViewerMode(this.config.viewerMode),this.setSceneTransitionEffect(this.config.sceneTransition.name,this.config.sceneTransition.config,this.config.sceneTransition.duration)},_ready:function(){if(this.$container.is(":hidden")&&(this.$container.css("display","block"),this._onWindowResize()),this.$container.addClass("ipnrm-ready"),this.ready=!0,IPANORAMA.$(this.$container.get(0)).trigger("ipanorama:ready",{instance:this,master:!0}),this.config.onLoad){var e=null;if("string"==typeof this.config.onLoad)try{e=new Function(this.config.onLoad)}catch(e){console.error('Can not compile "onLoad" function: '+e.message)}else"function"==typeof this.config.onLoad&&(e=this.config.onLoad);e&&e.call(this)}var o=this;setTimeout(function(){o.config.autoLoad&&o._loadStartScene()},100)},_loadStartScene:function(){if(0!=this.config.scenes.length){var e=this.config.scenes[0],o=this.config.startSceneId?this.config.startSceneId:this.$container.data("scene-id");if(o)for(var t=0;t<this.config.scenes.length;t++)if(this.config.scenes[t].id===o){e=this.config.scenes[t];break}this.setScene(e,!0)}},_initMarkers:function(e,o){e.ext.dom={},e.ext.dom.$scene=k("<div>").addClass("ipnrm-scene").attr({"data-scene-id":o.id}),e.ext.dom.$markers=k("<div>").addClass("ipnrm-markers"),e.ext.dom.$tooltips=k("<div>").addClass("ipnrm-tooltips"),e.ext.dom.$popovers=k("<div>").addClass("ipnrm-popovers"),this.dom.$scenes.append(e.ext.dom.$scene.append(e.ext.dom.$markers,e.ext.dom.$tooltips)),e.ext.markers=[];for(var t=0;t<o.markers.length;t++){var i=o.markers[t];this._addMarker(i,e)}this.$container.find(".ipnrm-store").find('[data-scene-id="'+e.cfg.id+'"]').remove()},_addMarker:function(e,o){var t=k("<div>").addClass("ipnrm-marker").addClass(e.class).attr({"data-marker-id":e.id}),i=k("<div>").addClass("ipnrm-pos"),n=k("<div>").addClass("ipnrm-zoom"),s=k("<div>").addClass("ipnrm-offset"),a=k("<div>").addClass("ipnrm-body");if(e.noevents&&t.addClass("ipnrm-noevents"),e.link&&t.addClass("ipnrm-link"),e.linkSceneId&&t.addClass("ipnrm-link-scene"),("focus"==e.tooltip.trigger||$())&&t.attr("tabindex",1),e.autoWidth||null==e.width||a.css({width:e.width}),e.autoHeight||null==e.height||a.css({height:e.height}),null!=e.angle&&a.css({transform:"rotate("+e.angle+"deg)"}),e.image){var r=k("<img>").attr({src:e.image});a.append(r),t.addClass("ipnrm-custom")}if(e.data)a.html(e.data);else if(e.dataSelector){(v=k(e.dataSelector)).length&&(v.detach(),a.append(v))}else{if((v=this.$container.find('.ipnrm-store [data-scene-id="'+o.cfg.id+'"] .ipnrm-markers-data [data-marker-id="'+e.id+'"]')).length)(x=v.children()).detach(),a.append(x),t.addClass("ipnrm-custom"),v.remove()}t.append(i.append(n.append(s.append(a)))),o.ext.dom.$markers.append(t);var l=k("<div>").addClass("ipnrm-tooltip").addClass("ipnrm-hide").addClass(e.tooltip.class),h=k("<div>").addClass("ipnrm-pos"),c=k("<div>").addClass("ipnrm-zoom"),d=k("<div>").addClass("ipnrm-offset"),p=k("<div>").addClass("ipnrm-form"),m=k("<div>").addClass("ipnrm-arrow"),f=k("<div>").addClass("ipnrm-body"),g=k("<div>").addClass("ipnrm-data");if((e.tooltip.showAnimation||e.tooltip.hideAnimation)&&e.tooltip.duration&&p.css({"animation-duration":e.tooltip.duration+"ms","-webkit-animation-duration":e.tooltip.duration+"ms"}),e.tooltip.data)g.html(e.tooltip.data);else if(e.tooltip.dataSelector){(v=k(e.tooltip.dataSelector)).length&&(v.detach(),g.append(v))}else{if((v=this.$container.find('.ipnrm-store [data-scene-id="'+o.cfg.id+'"] .ipnrm-tooltips-data [data-marker-id="'+e.id+'"]')).length)(x=v.contents()).detach(),g.append(x),v.remove()}l.append(h.append(c.append(d.append(p.append(f.append(g),m))))),o.ext.dom.$tooltips.append(l);var u=k("<div>").addClass("ipnrm-data");if(e.popover.data)u.html(e.popover.data);else if(e.popover.dataSelector){(v=k(e.popover.dataSelector)).length&&(v.detach(),u.append(v))}else{var v,x;if((v=this.$container.find('.ipnrm-store [data-scene-id="'+o.cfg.id+'"] .ipnrm-popovers-data [data-marker-id="'+e.id+'"]')).length)(x=v.contents()).detach(),u.append(x),v.remove()}e={$marker:t,$markerPos:i,$markerZoom:n,$markerOffset:s,$markerBody:a,$tooltip:l,$tooltipPos:h,$tooltipZoom:c,$tooltipOffset:d,$tooltipForm:p,$tooltipBody:f,$tooltipData:g,tooltipVisible:!1,$popoverData:u,popoverVisible:!1,cfg:e};this._bindMarker(e),o.ext.markers.push(e);var b=new IPANORAMA.Point(e.cfg.point);b.ext={},b.ext.marker=e,o.addPoint(b),this._updateBodyClick(o)},_initShapes:function(e,o){e.ext.shapes=[];for(var t=0;t<o.shapes.length;t++){var i=o.shapes[t];this._addShape(i,e)}},_addShape:function(e,o){e={cfg:e};var t=new IPANORAMA.Plane(e.cfg.plane);t.ext={},t.ext.shape=e,o.addPlane(t)},_bindMarker:function(e){switch(e.$marker.on("click",k.proxy(this._onMarkerClick,this,e)),e.cfg.tooltip.trigger){case"hover":e.$marker.on("mouseenter",k.proxy(this._onMarkerEnterTooltip,this,e)),e.$marker.on("mouseleave",k.proxy(this._onMarkerLeaveTooltip,this,e)),$()&&(e.$marker.on("focus",k.proxy(this._onMarkerFocusTooltip,this,e)),e.$marker.on("blur",k.proxy(this._onMarkerBlurTooltip,this,e)));break;case"focus":e.$marker.on("focus",k.proxy(this._onMarkerFocusTooltip,this,e)),e.$marker.on("blur",k.proxy(this._onMarkerBlurTooltip,this,e));break;case"click":case"clickbody":e.$marker.on("click",k.proxy(this._onMarkerClickTooltip,this,e))}switch(e.cfg.popover.trigger){case"hover":e.$marker.on("mouseenter",k.proxy(this._onMarkerEnterPopover,this,e)),e.$marker.on("mouseleave",k.proxy(this._onMarkerLeavePopover,this,e)),$()&&(e.$marker.on("focus",k.proxy(this._onMarkerFocusPopover,this,e)),e.$marker.on("blur",k.proxy(this._onMarkerBlurPopover,this,e)));break;case"focus":e.$marker.on("focus",k.proxy(this._onMarkerFocusPopover,this,e)),e.$marker.on("blur",k.proxy(this._onMarkerBlurPopover,this,e));break;case"click":e.$marker.on("click",k.proxy(this._onMarkerClickPopover,this,e));break;case"dblclick":e.$marker.on("dblclick",k.proxy(this._onMarkerClickPopover,this,e))}},_updateBodyClick:function(e){for(var o=0;o<e.ext.markers.length;o++){var t=e.ext.markers[o];if("clickbody"==t.cfg.tooltip.trigger||"focus"==t.cfg.tooltip.trigger){this.bodyClick=!0;break}}},_showTooltip:function(e,o,t){if(e&&e.cfg.tooltip.enabled){var i=e.cfg.tooltip.offset.y,n=e.cfg.tooltip.offset.x,s="hover"==e.cfg.tooltip.trigger&&e.cfg.tooltip.followCursor?5:e.$markerBody.outerHeight()/2,a="hover"==e.cfg.tooltip.trigger&&e.cfg.tooltip.followCursor?5:e.$markerBody.outerWidth()/2;switch(o=o||!1,t=t||e.cfg.tooltip.placement,e.$tooltip.removeClass(e.$tooltip.data("placement")),e.$tooltip.addClass("ipnrm-"+t).data("placement","ipnrm-"+t),t){case"top-left":s=-s,a=-a,i=-i,n=n;break;case"top":s=-s,i=-i,n=a=0;break;case"top-right":s=-s,a=a,i=-i,n=-n;break;case"right-top":s=-s,a=a,i=i,n=n;break;case"right":a=a,i=s=0,n=n;break;case"right-bottom":s=s,a=a,i=-i,n=n;break;case"bottom-right":s=s,a=a,i=i,n=-n;break;case"bottom":s=s,i=i,n=a=0;break;case"bottom-left":s=s,a=-a,i=i,n=n;break;case"left-bottom":s=s,a=-a,i=-i,n=-n;break;case"left":a=-a,i=s=0,n=-n;break;case"left-top":s=-s,a=-a,i=i,n=-n;break;default:s=a=e.cfg.tooltip.followCursor?5:0}if(e.$tooltipOffset.css({"margin-top":s,"margin-left":a}),e.cfg.tooltip.followCursor&&"hover"==e.cfg.tooltip.trigger&&(e.$markerBody.on("mousemove",k.proxy(this._onMarkerMouseMoveTooltip,this,e)),e.$tooltip.addClass("ipnrm-noevents-hard")),e.$tooltipPos.css({"margin-top":i,"margin-left":n}),!e.tooltipVisible){e.tooltipVisible=!0,e.$tooltip.addClass("ipnrm-show").removeClass("ipnrm-hide");var r=0<this.tooltipZindex.length?Math.max.apply(null,this.tooltipZindex)+1:1;this.tooltipZindex.push(r),e.$tooltipPos.css("z-index",r),o&&e.cfg.tooltip.showAnimation&&(e.$tooltipForm.removeClass(e.cfg.tooltip.showAnimation).removeClass(e.cfg.tooltip.hideAnimation),e.$tooltipForm.addClass(e.cfg.tooltip.showAnimation),e.$tooltipForm.one(l(),k.proxy(function(e,o){k(o.target).removeClass(e.cfg.tooltip.showAnimation)},this,e)))}}},_hideTooltip:function(e){e.$markerBody.off("mousemove",k.proxy(this._onMarkerMouseMoveTooltip,e,this)),e.$tooltip.removeClass("ipnrm-noevents-hard"),e.tooltipVisible&&(e.tooltipVisible=!1,e.cfg.tooltip.hideAnimation?(e.$tooltipForm.removeClass(e.cfg.tooltip.showAnimation).removeClass(e.cfg.tooltip.hideAnimation),e.$tooltipForm.addClass(e.cfg.tooltip.hideAnimation),e.$tooltipForm.one(l(),k.proxy(function(e,o){k(o.target).removeClass(e.cfg.tooltip.hideAnimation),e.tooltipVisible||this.__hideTooltip(e)},this,e))):this.__hideTooltip(e))},__hideTooltip:function(e){e.$tooltip.addClass("ipnrm-hide").removeClass("ipnrm-show");var o=this.tooltipZindex.indexOf(parseInt(e.$tooltipPos.css("z-index"),10));-1<o&&this.tooltipZindex.splice(o,1),e.$tooltipPos.css("z-index",""),e.$tooltipData.detach(),e.$tooltipData.get(0).offsetHeight,e.$tooltipData.appendTo(e.$tooltipBody)},_showPopover:function(e,o){if(e&&e.cfg.popover.enabled){var t=$()?e.cfg.popover.mobileType:e.cfg.popover.type;switch(this.isFullscreen&&(t="inbox"),t){case"inbox":this._showPopoverInbox(e,o);break;case"lightbox":this._showPopoverLightbox(e,o)}}},_hidePopover:function(e){if(e)switch($()?e.cfg.popover.mobileType:e.cfg.popover.type){case"inbox":this._hidePopoverInbox();break;case"lightbox":this._hidePopoverLightbox()}},_showPopoverInbox:function(e,o){this.inboxMarker&&this._hidePopover(this.inboxMarker),this.inboxMarker=e,this.inboxMarker.$popoverData.detach();var t=this.inboxMarker.$popoverData.attr("style");this.inboxMarker.$popoverData.data("style",t),this.inboxMarker.$popoverData.attr("style",""),this.dom.inbox.$inbox.addClass(this.inboxMarker.cfg.popover.class),this.dom.inbox.$inboxBody.append(e.$popoverData),this.dom.inbox.$inboxBody.get(0).offsetHeight,this.dom.inbox.$inbox.addClass("ipnrm-show").removeClass("ipnrm-hide").focus(),o&&e.cfg.popover.showAnimation&&(this.dom.inbox.$inboxForm.removeClass(e.cfg.popover.showAnimation).removeClass(e.cfg.popover.hideAnimation),this.dom.inbox.$inboxForm.addClass(e.cfg.popover.showAnimation),this.dom.inbox.$inboxForm.one(l(),k.proxy(function(e,o){k(o.target).removeClass(e.cfg.popover.showAnimation)},this,e)))},_hidePopoverInbox:function(){var e=this.inboxMarker;e&&(e.cfg.popover.hideAnimation?(this.dom.inbox.$inboxForm.removeClass(e.cfg.popover.showAnimation).removeClass(e.cfg.popover.hideAnimation),this.dom.inbox.$inboxForm.addClass(e.cfg.popover.hideAnimation),this.dom.inbox.$inboxForm.one(l(),k.proxy(function(e,o){k(o.target).removeClass(e.cfg.popover.hideAnimation),this.__hidePopoverInbox(e)},this,e))):this.__hidePopoverInbox(e)),this.inboxMarker=null},__hidePopoverInbox:function(e){e.$popoverData.detach();var o=e.$popoverData.data("style");e.$popoverData.attr("style",o),e.$popoverData.data("style",""),this.dom.inbox.$inbox.removeClass(e.cfg.popover.class),this.dom.inbox.$inbox.addClass("ipnrm-hide").removeClass("ipnrm-show")},_showPopoverLightbox:function(e,o){this.lightboxMarker&&this._hidePopover(this.lightboxMarker),this.lightboxMarker=e,this.lightboxMarker.$popoverData.detach();var t=this.lightboxMarker.$popoverData.attr("style");this.lightboxMarker.$popoverData.data("style",t),this.lightboxMarker.$popoverData.attr("style",""),this.dom.lightbox.$lightbox.addClass(this.lightboxMarker.cfg.popover.class),this.dom.lightbox.$lightboxBody.append(e.$popoverData),this.dom.lightbox.$lightboxBody.get(0).offsetHeight,this.dom.lightbox.$lightbox.detach(),k("body").append(this.dom.lightbox.$lightbox),this.dom.lightbox.$lightbox.addClass("ipnrm-show").removeClass("ipnrm-hide").focus(),o&&e.cfg.popover.showAnimation&&(this.dom.lightbox.$lightboxForm.removeClass(e.cfg.popover.showAnimation).removeClass(e.cfg.popover.hideAnimation),this.dom.lightbox.$lightboxForm.addClass(e.cfg.popover.showAnimation),this.dom.lightbox.$lightboxForm.one(l(),k.proxy(function(e,o){k(o.target).removeClass(e.cfg.popover.showAnimation)},this,e)))},_hidePopoverLightbox:function(){var e=this.lightboxMarker;e&&(e.cfg.popover.hideAnimation?(this.dom.lightbox.$lightboxForm.removeClass(e.cfg.popover.showAnimation).removeClass(e.cfg.popover.hideAnimation),this.dom.lightbox.$lightboxForm.addClass(e.cfg.popover.hideAnimation),this.dom.lightbox.$lightboxForm.one(l(),k.proxy(function(e,o){k(o.target).removeClass(e.cfg.popover.hideAnimation),this.__hidePopoverLightbox(e)},this,e))):this.__hidePopoverLightbox(e)),this.lightboxMarker=null},__hidePopoverLightbox:function(e){e.$popoverData.detach();var o=e.$popoverData.data("style");e.$popoverData.attr("style",o),e.$popoverData.data("style",""),this.dom.lightbox.$lightbox.removeClass(e.cfg.popover.class),this.dom.lightbox.$lightbox.addClass("ipnrm-hide").removeClass("ipnrm-show")},_lookAtMarker:function(e){var o=k.Deferred(),t=this.viewer.sceneActive;return e.cfg.autoFocus.enabled&&t&&t.control&&t.control.lookAt?t.control.lookAt(e.cfg.point.pos?e.cfg.point.pos:{yaw:e.cfg.point.yaw,pitch:e.cfg.point.pitch},e.cfg.autoFocus.duration,e.cfg.autoFocus.easing).then(function(){o.resolve()},function(){o.reject()}):o.resolve(),o.promise()},_onMarkerClick:function(e,o){var t=this;t._lookAtMarker(e).then(function(){e.cfg.link&&i.open(e.cfg.link,e.cfg.linkNewWindow?"_blank":"_self"),e.cfg.linkSceneId&&t.setScene({id:e.cfg.linkSceneId})})},_onMarkerEnterTooltip:function(e,o){this._showTooltip(e,!0)},_onMarkerLeaveTooltip:function(e,o){var t=o.relatedTarget||o.toElement;e.cfg.tooltip.interactive&&(0!==e.$tooltip.has(t).length||e.$tooltip.is(t))||e.$markerBody.is(t)?e.$tooltip.one("mouseleave",k.proxy(this._onMarkerLeaveTooltip,this,e)):this._hideTooltip(e)},_onMarkerFocusTooltip:function(e,o){},_onMarkerBlurTooltip:function(e,o){},_onMarkerClickTooltip:function(e,o){e.tooltipVisible?this._hideTooltip(e):this._showTooltip(e,!0)},_onMarkerMouseMoveTooltip:function(e,o){},_onBodyClickTooltip:function(e){if(this.bodyClick&&0<=this.sceneIndex&&this.sceneIndex<this.scenes.length)for(var o=this.scenes[this.sceneIndex],t=e.target||e.relatedTarget||e.toElement,i=0;i<o.ext.markers.length;i++){var n=o.ext.markers[i];0<n.$marker.has(t).length||n.$marker.is(t)||n.tooltipVisible&&("clickbody"==n.cfg.tooltip.trigger||"focus"==n.cfg.tooltip.trigger&&!n.$marker.is(":focus"))&&(!n.tooltipVisible||n.cfg.tooltip.interactive&&(0!==n.$tooltip.has(t).length||n.$tooltip.is(t))||this._hideTooltip(n))}},_onMarkerEnterPopover:function(e,o){this._showPopover(e,!0)},_onMarkerLeavePopover:function(e,o){},_onMarkerFocusPopover:function(e,o){},_onMarkerBlurPopover:function(e,o){},_onMarkerClickPopover:function(e,o){e.popoverVisible?this._hidePopover(e):this._showPopover(e,!0)},_onInboxCloseOutsideClick:function(e){var o=this.inboxMarker;if(o&&o.cfg.popover.closeOutside){var t=e.relatedTarget||e.toElement;0!==this.dom.inbox.$inboxForm.has(t).length||this.dom.inbox.$inboxForm.is(t)||this._hidePopoverInbox()}},_onInboxCloseClick:function(e){this._hidePopoverInbox()},_onInboxKeyboard:function(e){27!==e.keyCode||this._hidePopoverInbox()},_onLightboxCloseOutsideClick:function(e){var o=this.lightboxMarker;if(o&&o.cfg.popover.closeOutside){var t=e.relatedTarget||e.toElement;0!==this.dom.lightbox.$lightboxForm.has(t).length||this.dom.lightbox.$lightboxForm.is(t)||this._hidePopoverLightbox()}},_onLightboxCloseClick:function(e){this._hidePopoverLightbox()},_onLightboxKeyboard:function(e){27!==e.keyCode||this._hidePopoverLightbox()},_onWindowResize:function(){var e=this.$container.width(),o=this.$container.height();this.viewer.onWindowResize(e,o);for(var t=0;t<this.scenes.length;t++)this.scenes[t].onWindowResize(e,o)},_onSceneError:function(){this.$container.removeClass("ipnrm-scene-active")},_onSceneShowStart:function(e){this.$container.addClass("ipnrm-scene-active");for(var o=e.originalEvent.data,t=0;t<this.config.scenes.length;t++){if(this.config.scenes[t].id==o.scene.cfg.id){IPANORAMA.$(this.dom.$canvas.get(0)).trigger("ipanorama:scene-index",{scene:o.scene,index:t,len:this.config.scenes.length,first:0==t,last:t==this.config.scenes.length-1,config:this.config,master:!0});break}}},_onSceneShowComplete:function(e){var o=e.originalEvent.data;if(this.dom.$scenes.find('[data-scene-id="'+o.scene.cfg.id+'"]').addClass("ipnrm-active"),o.scene){for(var t=null,i=0;i<o.scene.ext.markers.length;i++){var n=o.scene.ext.markers[i];(n.cfg.tooltip.showOnInit||"sticky"==n.cfg.tooltip.trigger)&&this._showTooltip(n),n.cfg.popover.showOnInit&&(t=n)}t&&this._showPopover(t)}},_onSceneHideStart:function(e){var o=e.originalEvent.data;this.dom.$scenes.find('[data-scene-id="'+o.scene.cfg.id+'"]').removeClass("ipnrm-active")},_onSceneHideComplete:function(e){},_onScenePointShow:function(e){var o=e.originalEvent.data;o.point&&o.point.ext&&(o.point.ext.marker.$markerPos.css({left:o.point.screenPos.x+"px",top:o.point.screenPos.y+"px"}),o.point.ext.marker.$tooltipPos.css({left:o.point.screenPos.x+"px",top:o.point.screenPos.y+"px"}),o.point.ext.marker.$marker.addClass("ipnrm-active"),o.point.ext.marker.$tooltip.addClass("ipnrm-active"))},_onScenePointChange:function(e){var o=e.originalEvent.data;o.point&&o.point.ext&&(o.point.ext.marker.$markerPos.css({left:o.point.screenPos.x+"px",top:o.point.screenPos.y+"px"}),o.point.ext.marker.$tooltipPos.css({left:o.point.screenPos.x+"px",top:o.point.screenPos.y+"px"}))},_onScenePointHide:function(e){var o=e.originalEvent.data;o.point&&o.point.ext&&(o.point.ext.marker.$marker.removeClass("ipnrm-active"),o.point.ext.marker.$tooltip.removeClass("ipnrm-active"))},_onConfig:function(e){e.originalEvent.data||IPANORAMA.$(this.dom.$canvas.get(0)).trigger("ipanorama:config",{config:this.config,master:!0})},_onFullscreen:function(e){if(!e.originalEvent.data)if(this.$container.hasClass("ipnrm-fullscreen"))try{n.exitFullscreen?n.exitFullscreen():n.mozCancelFullScreen?n.mozCancelFullScreen():n.webkitCancelFullScreen?n.webkitCancelFullScreen():n.msExitFullscreen&&n.msExitFullscreen()}catch(e){console.error("The browser does not support the fullscreen API")}else try{var o=this.$container.get(0);o.requestFullscreen?o.requestFullscreen():o.mozRequestFullScreen?o.mozRequestFullScreen():o.webkitRequestFullscreen?o.webkitRequestFullscreen():o.msRequestFullscreen&&o.msRequestFullscreen()}catch(e){console.error("The browser does not support the fullscreen API")}},_onFullScreenChange:function(e){n.fullscreen||n.mozFullScreen||n.webkitIsFullScreen||n.msFullscreenElement?(this.$container.addClass("ipnrm-fullscreen"),this.isFullscreen=!0):(this.$container.removeClass("ipnrm-fullscreen"),this.isFullscreen=!1),this.$container.get(0).offsetHeight,this._onWindowResize(),IPANORAMA.$(this.dom.$canvas.get(0)).trigger("ipanorama:fullscreen",{fullscreen:this.$container.hasClass("ipnrm-fullscreen"),master:!0})},_onMode:function(e){e.originalEvent.data&&e.originalEvent.data.master||this.setViewerMode(e.originalEvent.data.mode)},_onSetScene:function(e){e.originalEvent.data&&e.originalEvent.data.id&&this.setScene({id:e.originalEvent.data.id})},_onPrevScene:function(e){this.prevScene()},_onNextScene:function(e){this.nextScene()},setWidget:function(e,o){var t=null;if(e){for(var i in IPANORAMA.Widget)if(IPANORAMA.Widget.hasOwnProperty(i)){var n=IPANORAMA.Widget[i];if(n.name.toLowerCase()==e.toLowerCase()){t=n;break}}if(null==t)return void console.warn("IPANORAMA: Can't find a widget \""+e+'"')}var s=this.dom.$canvas.get(0),a=this.$container.get(0);this.widget&&(this.widget.destroy(),this.widget=null),t&&(this.widget=new t.widget(s,a,o,t.defaultConfig),this.widget.init())},setTheme:function(e){this.theme&&this.$container.removeClass(this.theme),this.theme&&this.dom.lightbox.$lightbox.removeClass(this.theme),this.theme="ipnrm-theme-"+e,this.$container.addClass(this.theme),this.dom.lightbox.$lightbox.addClass(this.theme)},setViewerMode:function(e){this.viewer.setMode(e),"stereo"==e?this.$container.addClass("ipnrm-mode-stereo"):this.$container.removeClass("ipnrm-mode-stereo"),this._onWindowResize(),IPANORAMA.$(this.dom.$canvas.get(0)).trigger("ipanorama:mode",{mode:e,master:!0})},setScene:function(e,o){if(!e)return this.viewer.setScene(null),this.$container.removeClass("ipnrm-scene-active"),null;e=r(e);for(var t=this.dom.$canvas.get(0),i=null,n=!1,s=0;s<this.config.scenes.length;s++){if((i=this.config.scenes[s]).id==e.id){e=i,n=!0;break}}if(n||(this.config.scenes.push(e),s++),this.sceneIndex=s,this.viewer.sceneActive&&(i=this.viewer.sceneActive).cfg.camera.shared&&i.control)switch(i.cfg.type){case"sphere":case"cube":case"gsv":this.share.sphere.camera={lookAt:i.control.getLookAt(),zoom:i.control.getZoom()};break;case"littleplanet":this.share.littleplanet.camera={lookAt:i.control.getLookAt(),zoom:i.control.getZoom()};break;case"flat":this.share.flat.camera={lookAt:i.control.getLookAt(),zoom:i.control.getZoom()}}i=null;for(s=0;s<this.scenes.length;s++)if((i=this.scenes[s]).cfg.id==e.id){if(i.control)if(i.cfg.camera.shared)switch(i.cfg.type){case"sphere":case"cube":case"gsv":i.control.setZoom(this.share.sphere.camera.zoom),i.control.lookAt(this.share.sphere.camera.lookAt);break;case"littleplanet":i.control.setZoom(this.share.littleplanet.camera.zoom),i.control.lookAt(this.share.littleplanet.camera.lookAt);break;case"flat":i.control.setZoom(this.share.flat.camera.zoom),i.control.lookAt(this.share.flat.camera.lookAt)}else i.cfg.camera.save||(i.control.setZoom(e.camera.zoom),i.control.lookAt(e.camera.lookAt));return this.viewer.setScene(i,o),i}switch(e.type){case"sphere":i=new IPANORAMA.Scene.Sphere(t,e,this.smartRequest);break;case"cube":i=new IPANORAMA.Scene.Cube(t,e,this.smartRequest);break;case"gsv":i=new IPANORAMA.Scene.GoogleStreetView(t,e,this.smartRequest);break;case"littleplanet":i=new IPANORAMA.Scene.LittlePlanet(t,e,this.smartRequest);break;case"flat":i=new IPANORAMA.Scene.Flat(t,e,this.smartRequest)}if(i){i.ext={},this._initMarkers(i,e),this._initShapes(i,e),this.scenes.push(i);var a=null;if(e.camera.shared)switch(i.cfg.type){case"sphere":case"cube":case"gsv":this.share.sphere.camera&&(a=this.share.sphere.camera);break;case"littleplanet":this.share.littleplanet.camera&&(a=this.share.littleplanet.camera);break;case"flat":this.share.flat.camera&&(a=this.share.flat.camera)}return i.control&&(i.control.setZoom(a?a.zoom:e.camera.zoom),i.control.lookAt({yaw:a?a.lookAt.yaw:e.camera.lookAt.yaw,pitch:a?a.lookAt.pitch:e.camera.lookAt.pitch}),i.control.noZoom=e.noZoom,i.control.noRotate=e.noRotate,i.control.noKeys=e.noKeys,i.control.noGyroscope=e.noGyroscope),this.viewer.setScene(i,o),i}return console.warn("IPANORAMA: can't find a scene type \""+e.type+'"'),null},getSceneById:function(e){for(var o=0;o<this.scenes.length;o++){var t=this.scenes[o];if(t.cfg.id==e)return t}return null},removeSceneById:function(e){for(var o=null,t=this.scenes.length,i=0;i<t;i++){if(this.scenes[i].cfg.id==e){o=i;break}}return null!=o&&(0<=o&&o<t&&(this.scenes[o].destroy(),this.scenes.splice(o,1),!0))},prevScene:function(e){if(this.sceneIndex=Math.max(0,Math.min(this.config.scenes.length-1,this.sceneIndex)),this.sceneIndex=this.sceneIndex-1,this.sceneIndex<0&&e)this.sceneIndex=this.config.scenes.length-1;else if(this.sceneIndex<0)return;var o=this.config.scenes[this.sceneIndex];this.setScene(o)},nextScene:function(e){if(this.sceneIndex=Math.max(0,Math.min(this.config.scenes.length-1,this.sceneIndex)),this.sceneIndex=this.sceneIndex+1,this.sceneIndex>=this.config.scenes.length&&e)this.sceneIndex=0;else if(this.sceneIndex>=this.config.scenes.length)return;var o=this.config.scenes[this.sceneIndex];this.setScene(o)},setSceneTransitionEffect:function(e,o,t){this.viewer.setSceneTransitionEffect(e,o),this.viewer.setSceneTransitionDuration(t)},lookAt:function(e,o,t){var i=k.Deferred(),n=this.viewer.sceneActive;return n&&n.control&&n.control.lookAt?n.control.lookAt(e,o,t).then(function(){i.resolve()},function(){i.reject()}):i.resolve(),i.promise()}},k.fn.ipanorama=function(t,e){if("instance"!=t)return this.each(function(){var i=k(this),n=i.data(a),e=i.data("json-src"),s=k.isPlainObject(t)?t:e?null:{};if("destroy"==t)return n?(i.removeData(a),void n._destroy()):void console.error('Calling "destroy" method on not initialized instance is forbidden');function o(){var e=k.extend(!0,{},c.prototype.defaultConfig,s);e.baseUrl&&(h=e.baseUrl);for(var o=0;o<e.scenes.length;o++)e.scenes[o]=r(e.scenes[o]);if(e.onPreInit){var t=null;if("string"==typeof e.onPreInit)try{t=new Function("config",e.onPreInit)}catch(e){console.error('Can not compile "onPreInit" function: '+e.message)}else"function"==typeof e.onPreInit&&(t=e.onPreInit);t&&t.call(this,e)}n=new c(i,e),i.data(a,n)}n&&(i.removeData(a),n._destroy(),n=null),null==s?k.ajax({url:e,type:"GET",dataType:"json"}).done(function(e){s=k.isPlainObject(e)?e:{}}).fail(function(){s={}}).always(function(){o()}):o()});var o=k(this).data(a);return o||void console.error('Calling "instance" method on not initialized instance is forbidden')},k(".ipanorama").ipanorama()}(jQuery,window,document);